/*====================================
# nav
==================================== */
.main-nav {
  background-color: #212121;
  box-shadow: rgba(17, 17, 26, 0.1) 0 1px 0;
  min-height: 65px;
}

@media (min-width:1300px) {
  .main-nav {
    padding: 0 10rem;
  }
}

.main-nav .navbar-nav .nav-link {
  color: #fff;
  border-radius: 30px;
  padding: 0.2rem 1rem;
  transition: .2s ease-in-out;
}

.main-nav .navbar-nav .nav-link:hover,
.main-nav .navbar-nav .nav-link:focus,
.main-nav .navbar-nav .dropdown-toggle:hover,
.main-nav .navbar-nav .dropdown-toggle:focus {
  color: var(--lightY);
}

.main-nav .navbar-nav .signup-link {
  color: var(--night);
  background-color: var(--lightY);
}

.main-nav .navbar-nav .signup-link:hover,
.main-nav .navbar-nav .signup-link:focus {
  color: var(--night);
  background-color: var(--main-color);
}

.custom-toggler.navbar-toggler {
  border: none;
}
.navbar-expand-lg .navbar-nav .dropdown-menu {
  border-radius: 15px;
}
.navbar-brand img {
  width: 300px;
}

@media (max-width:991px) {

  .main-nav .navbar-nav {
    width: 100%;
    height: 100vh;
    text-align: center;
  }

  .main-nav .navbar-nav .nav-link {
    padding: 15px 20px;
    margin-bottom: 5px;
  }
  .signup-link {
    border-radius: 30px;
  }
  
  .navbar-expand-lg .navbar-nav .dropdown-menu {
    margin-bottom: 20px;
  }
}

@media (max-width:576px) {
  .navbar-brand img {
    width: 250px;
  }
}

/*====================================
# openbtn 小版按鈕
==================================== */
.openbtn {
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 5px;
}

/*======= 按鈕內側 =======*/
.openbtn span {
  display: inline-block;
  transition: all .4s;
  position: absolute;
  left: 14px;
  height: 3px;
  border-radius: 2px;
  background: #fff;
  width: 45%;
}

.openbtn span:nth-of-type(1) {
  top: 15px;
}

.openbtn span:nth-of-type(2) {
  top: 23px;
}

.openbtn span:nth-of-type(3) {
  top: 31px;
}

/*======= active 線動作 =======*/

.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}

.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}